Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsproperties
Class PropertyTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          edu.stanford.smi.protegex.owl.ui.clsproperties.PropertyTreeNode

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, Cloneable, Comparable, MutableTreeNode, TreeNode

    public class PropertyTreeNode

extends DefaultMutableTreeNode
implements Comparable, edu.stanford.smi.protege.util.Disposable

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`PropertyTreeNode(PropertyRestrictionsTree tree, OWLNamedClass cls, RDFProperty property, boolean inherited)`
`PropertyTreeNode(PropertyRestrictionsTree tree, OWLNamedClass cls, RDFProperty property, boolean inherited, List<ExpressionInfo<OWLRestriction>> restrictions)`

Method Summary
`int` | `compareTo(Object o)`
`void` | `dispose()`
`Icon` | `getIcon()`
`RDFProperty` | `getRDFProperty()`
`OWLNamedClass` | `getRestrictedClass()`
`RestrictionTreeNode` | `getRestrictionTreeNode(int index)`
`OldRestrictionTreeNode` | `getRestrictionTreeNode(OWLRestriction restriction)`
`OldRestrictionTreeNode` | `getRestrictionTreeNode(String restrictionText)`
`boolean` | `hasRestrictionOfType(edu.stanford.smi.protege.model.Cls metaCls)`
`boolean` | `isInherited()`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyTreeNode

    public PropertyTreeNode(PropertyRestrictionsTree tree,
                            OWLNamedClass cls,
                            RDFProperty property,
                            boolean inherited)

### PropertyTreeNode

    public PropertyTreeNode(PropertyRestrictionsTree tree,
                            OWLNamedClass cls,
                            RDFProperty property,
                            boolean inherited,
                            List<ExpressionInfo<OWLRestriction>> restrictions)

Method Detail

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getIcon

    public Icon getIcon()

### getRDFProperty

    public RDFProperty getRDFProperty()

### getRestrictedClass

    public OWLNamedClass getRestrictedClass()

### getRestrictionTreeNode

    public RestrictionTreeNode getRestrictionTreeNode(int index)

### getRestrictionTreeNode

    public OldRestrictionTreeNode getRestrictionTreeNode(OWLRestriction restriction)

### getRestrictionTreeNode

    public OldRestrictionTreeNode getRestrictionTreeNode(String restrictionText)

### isInherited

    public boolean isInherited()

### hasRestrictionOfType

    public boolean hasRestrictionOfType(edu.stanford.smi.protege.model.Cls metaCls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.